jack_driver_desc_t Struct Reference

`#include <driver_interface.h>`

## Public Attributes

char | name [JACK_DRIVER_NAME_MAX+1]
jack_driver_type_t | type
char | desc [JACK_DRIVER_PARAM_DESC+1]
char | file [JACK_PATH_MAX+1]
uint32_t | nparams
jack_driver_param_desc_t * | params

## Detailed Description

A struct for describing a jack driver

Definition at line 132 of file driver_interface.h.

## Member Data Documentation

char jack_driver_desc_t::name[JACK_DRIVER_NAME_MAX+1]

The driver's canonical name

Definition at line 133 of file driver_interface.h.

jack_driver_type_t jack_driver_desc_t::type

The driver's type

Definition at line 134 of file driver_interface.h.

char jack_driver_desc_t::desc[JACK_DRIVER_PARAM_DESC+1]

The driver's extended description

Definition at line 135 of file driver_interface.h.

char jack_driver_desc_t::file[JACK_PATH_MAX+1]

The filename of the driver's shared object file

Definition at line 136 of file driver_interface.h.

uint32_t jack_driver_desc_t::nparams

The number of parameters the driver has

Definition at line 137 of file driver_interface.h.

jack_driver_param_desc_t* jack_driver_desc_t::params

An array of parameter descriptors

Definition at line 138 of file driver_interface.h.

The documentation for this struct was generated from the following file:

- driver_interface.h